//
//  CopaView.m
//  Dibujar
//
//  Created by Santiago Pavón on 13/12/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import "CopaView.h"

@implementation CopaView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
         self.opaque = NO;
    }
    return self;
}


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    CGContextRef context = UIGraphicsGetCurrentContext();
    
    CGContextBeginPath(context);
    
    CGContextMoveToPoint(context, 10, 10);
    CGContextAddArc(context , 90, 10, 80, M_PI, M_PI_2, 1);
    CGContextAddLineToPoint(context, 95, 180);
    CGContextAddLineToPoint(context, 40, 200);
    CGContextAddLineToPoint(context, 170, 200);
    CGContextAddLineToPoint(context, 115, 180);
    CGContextAddLineToPoint(context, 120, 90);
    CGContextAddArc(context , 120, 10, 80, M_PI_2, 0, 1);
    CGContextClosePath(context);
    
    CGContextSetLineWidth(context, 3);
    
    [[UIColor magentaColor] setStroke];
    
    [[UIColor cyanColor] setFill];
    
    CGContextDrawPath(context, kCGPathFillStroke);
}


@end
